/* generated using openapi-typescript-codegen -- do no edit */
/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */

export type WorkflowExecutionIn = {
    /**
     * Parameters for this workflow
     */
    parameters: Record<string, any>;
    /**
     * S3 Path where to save logs and reports. If None, nothing will be uploaded.
     */
    logs_s3_path?: (string | null);
    /**
     * S3 Path where to save provenance information. If None, nothing will be uploaded.
     */
    provenance_s3_path?: (string | null);
    /**
     * S3 Path where to save debug information from Nextflow. If None, nothing will be uploaded.
     */
    debug_s3_path?: (string | null);
    /**
     * Workflow version git commit hash
     */
    workflow_version_id: string;
    /**
     * Optional notes for this workflow execution
     */
    notes?: (string | null);
    /**
     * ID of the workflow mode this workflow execution runs in
     */
    mode?: (string | null);
};

